#version 330 core
in vec2 TexCoords;
out vec4 FragColor;

uniform sampler2D sampler;
uniform float alp;
uniform float ris;

void main()
{    
    vec4 sampled = texture(sampler, TexCoords).rgba;
    //vec4 sampled = vec4(1.0, 1.0, 1.0, 1.0);

    //if (sampled.a < 0.001)
    //    discard;

    //float minalp=1.0-alp;

    //FragColor = sampled;

    float alpha = (sampled.a * alp) + ris; // ie * .75) + .25

    //float alpha = (sampled.a * 0.75) + 0.25;
    //float alpha = sampled.a;

    FragColor = vec4(sampled.rgb,alpha);
};
